import java.util.Scanner;
import java.lang.reflect.*;
class TestDemo{
	int a;
	void test(String s,double b){
		System.out.println(a);
		System.out.println(b);
		System.out.println(s);
	}
}
class Example12_3{
	public static void main(String[] args){
		Scanner scan = new Scanner(System.in);
		String className = scan.next();
		try{
Class c = Class.forName(className);              //加载类
		     Object object = c.newInstance();                  //创建被加载类的对象
		     Method method = c.getDeclaredMethod(           //创建代表test方法的对象method
"test",new Class[]{String.class,Double.TYPE}); 
			method.invoke(object,new Object[]{"LiMing",20});  //调用test方法
			Field field = c.getDeclaredField("a");              //获取成员变量a的对象
			field.setInt(object,88);                          //为成员变量a赋值为88
			method.invoke(object,new Object[]{"Lisa",90}); 
		}catch(Exception e){
			System.out.println(e);
		}
	}
}
